<form autocomplete='off' class='flexcol'>
	<h1 class='spellbook-name flexrow'>
		<img src='{{actor.img}}' class='profile' data-edit='img'>
		<input class='no-null' name='name' data-dtype='String' value='{{actor.name}}'></input>
	</h1>
	<div class='flexrow main-content'>
		<sidebar class='flexcol'>
			<ol class='details'>
				<li>
					<label for='pages'>Pages</label>
					<label name='pages'>{{t.pages}}</label>
				</li>
				<li>
					<label for='{{uuid}}-hide-empty'>Hide empty</label>
					<input type='checkbox' name='hide-empty' id='{{uuid}}-hide-empty' data-dtype='Boolean' {{checked hideEmpty}}>
				</li>
			</ol>
		</sidebar>
		<content class='flexcol drop-recipient'>
		<div class='headers item-block'>
			<input name='filter' type='search' data-dtype="String" value='{{filter}}' placeholder='Filter items...'></input>
		</div>
		<ol class='master-list nondescript-list'>
			</li>
			{{#each t.spells}}
			<li class='level-group{{#unless items.length}} hidden{{/unless}}' data-level='{{level}}'>
				<section class='flexrow item-block level-block'>
					<h3 class='level-title'>{{label}}</h3>
					<section class='details'>
						<value class='action'>Action</value>
						<value class='school'>School</value>
						<value class='components'>Comps.</value>
						<value class='range'>Range</value>
					</section>
					<section class='controls'>
						<value class='delete'>Del</value>
					</section>
				</section>
				<ol class='level-list nondescript-list {{#unless items.length}}empty-level{{/unless}}'>
					{{#if items.length}}
					{{#each items}}
					<li class='item item-block' data-item-id='{{id}}'>
						<div class='image-box'><img src='{{img}}' class='item-image'></div>
						<div class='name-box'><h3 class='item-name'>{{name}}</h2></div>
						<section class='details'>
							<value class='action'>{{koboldworks-activation this}}</value>
							<value class='school'>{{localize (lookup @root.t.schools system.school)}}{{#if system.subSchool}} ({{system.subSchool}}){{/if}}</value>
							<value class='components'>{{koboldworks-spell-components this compact=true}}</value>
							<value class='range'>{{koboldworks-spell-range this}}</value>
						</section>
						<section class='controls'>
							<action class='delete'><i class='fas fa-trash'></i></action>
						</section>
					</li>
					{{/each}}
					{{else}}
					<li class='empty-level'>Empty</li>
					{{/if}}
				</ol>
			</li>
			{{/each}}
		</ol>
		</content>
	</div>
</form>
